﻿// Copyright 2014 Yves Desgraupes
// This file is part of BaseReader.
// 
// BaseReader is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// BaseReader is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with BaseReader.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.IO;

namespace BaseReaderPluginInterfaces
{
    public class GenericBaseReaderItem : IBaseReaderItem
    {
#region IBaseReaderItem

        public IBaseReaderPlugin Owner { get; set; }
        public String FilePath { get; set; }
        public UIElement ViewItem { get; set; }

#endregion

#region IEquatable

        public bool Equals(IBaseReaderItem other)
        {
            FileInfo thisFI = new FileInfo(FilePath);
            FileInfo otherFI = new FileInfo(other.FilePath);

            return thisFI.FullName.Equals(otherFI.FullName, StringComparison.OrdinalIgnoreCase);
        }

#endregion

#region IDisposable

        public void Dispose()
        {
        }

#endregion
    }
}
