﻿// Copyright 2014 Yves Desgraupes
// This file is part of BaseReader.
// 
// BaseReader is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// BaseReader is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with BaseReader.  If not, see <http://www.gnu.org/licenses/>.

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;

namespace BaseReaderPluginInterfaces
{
    public interface IBaseReaderItem : IEquatable<IBaseReaderItem>, IDisposable
    {
        // Base Reader will automatically fill this property once the current item returned
        IBaseReaderPlugin Owner { get; set; }
        // Base Reader will automatically fill this property once the current item returned
        String FilePath { get; set; }

        // You have to fill this property with the WPF Control you want to display in Base Reader
        UIElement ViewItem { get; }
    }

    public interface IBaseReaderPlugin
    {
        IBaseReaderItem OpenFile(String _FilePath);
        void OnFileSelected(IBaseReaderItem _SelectedItem);
        void OnFileClosed(IBaseReaderItem _SelectedItem);

        String[] SupportedExtensions { get; }
        String Name { get; }
        String Description { get; }
    }
}
